Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class ReportEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.ReportEventAdapter

All Implemented Interfaces:
  `IReportEventHandler`

public class ReportEventAdapter extends Object implements IReportEventHandler
Default (empty) implementation of the IReportEventHandler interface

## Constructor Summary

Constructors
Constructor
Description
`ReportEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterFactory(IReportContext reportContext)`
Handle the afterFactory event
`void`
`afterRender(IReportContext reportContext)`
Handle the afterRender event
`void`
`beforeFactory(IReportDesign report, IReportContext reportContext)`
Handle the beforeFactory event
`void`
`beforeRender(IReportContext reportContext)`
Handle the beforeRender event
`void`
`initialize(IReportContext reportContext)`
Handle the initialize event
`void`
`onPageEnd(IPageInstance page, IReportContext reportContext)`
Handle the onPageEnd event
`void`
`onPageStart(IPageInstance page, IReportContext reportContext)`
Handle the onPageStart event
`void`
`onPrepare(IReportContext reportContext)`
Handle the onPrepare event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportEventAdapter

public ReportEventAdapter()

## Method Details

### initialize

public void initialize(IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the initialize event

Specified by:
  `initialize` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### beforeFactory

public void beforeFactory(IReportDesign report, IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the beforeFactory event

Specified by:
  `beforeFactory` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### afterFactory

public void afterFactory(IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the afterFactory event

Specified by:
  `afterFactory` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### beforeRender

public void beforeRender(IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the beforeRender event

Specified by:
  `beforeRender` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### afterRender

public void afterRender(IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the afterRender event

Specified by:
  `afterRender` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### onPrepare

public void onPrepare(IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the onPrepare event

Specified by:
  `onPrepare` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### onPageStart

public void onPageStart(IPageInstance page, IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the onPageStart event

Specified by:
  `onPageStart` in interface `IReportEventHandler`
Throws:
  `ScriptException`

### onPageEnd

public void onPageEnd(IPageInstance page, IReportContext reportContext) throws ScriptException
Description copied from interface: `IReportEventHandler`
Handle the onPageEnd event

Specified by:
  `onPageEnd` in interface `IReportEventHandler`
Throws:
  `ScriptException`